;******************************************************************************
; DISCLAIMER
; This software is supplied by Renesas Electronics Corporation and is only
; intended for use with Renesas products. No other uses are authorized. This
; software is owned by Renesas Electronics Corporation and is protected under
; all applicable laws, including copyright laws.
; THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
; THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
; LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
; AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
; TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
; ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
; FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
; ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
; BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
; Renesas reserves the right, without notice, to make changes to this software
; and to discontinue the availability of this software. By using this software,
; you agree to the additional terms and conditions found by accessing the
; following link:
; http://www.renesas.com/disclaimer
;
; Copyright (C) 2011-2013 Renesas Electronics Corporation. All rights reserved.
;*******************************************************************************

;*******************************************************************************
; File Name     : Source: op_define.asm
; Mod. Revision : Revision: 1.0
; Mod. Date     : Date: 2014/06/18
; Device(s)     : RL78/R5F110PJAFB
; Description   : Assembler language definition of option byte 
;*******************************************************************************

OPT	CSEG	OPT_BYTE	 	;"option byte"
	DB	01111000B
;	DB	01110000B		;Watchdog timer window open period is 100%, interval interrupt is not used
					;Counter operation disabled (counting stopped after reset)
					;Watchdog timer overflow time 2^6/fIL (3.71ms, fIL=17.25KHz(MAX), 15KHz(TYP))
					;Counter operation stopped in HALT/STOP mode
	DB      01111011b		;LVD reset mode rising edge:2.92V, falling edge:2.86V
	DB      11101010b		;select the HS mode and 8MHz high-speed on-chip oscillator 
	DB      10000100b		;enable on-chip debug operation
					;erase flash memory data when security ID authorization fails


end





