/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized. This 
* software is owned by Renesas Electronics Corporation and is protected under 
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING 
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT 
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
* AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR 
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE 
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software 
* and to discontinue the availability of this software.  By using this software, 
* you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2011, 2013 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_macrodriver.h
* Device(s)    : R7F0C004M2DFB
* Tool-Chain   : CA78K0R
* Description  : This file implements general head file.
* Creation Date: 2013-12-11
***********************************************************************************************************************/

#ifndef STATUS_H
#define STATUS_H
/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#pragma sfr
#pragma DI
#pragma EI
#pragma NOP
#pragma HALT
#pragma STOP
#pragma bcd


#define	feed_dog()	WDTE=0xAC;

#define FLASH_START_ADDRESS    (0xF1000)                               /* Start address of data flash                */
#define TARGET_BLOCK           (0)                                     /* Block number of target(0 ~ 3)              */
#define BLOCK_SIZE             (0x400)                                 /* Block size                                 */
#define WRITE_SIZE             (1)                                     /* Size of data to be written at once         */
#define MAX_VALUE              (0xFF)                                  /* Maximum value of writing                   */
#define MAX_ADDRESS            ((TARGET_BLOCK + 1) * BLOCK_SIZE - 1)   /* Maximum address of writing                 */
#define PFDL_NG                (1)                                     /* Failure to Data Flash                      */
#define FDL_FRQ                (24)                                    /* Setting frequency (MHz)                    */
#define FDL_VOL                (0x00)                                  /* Voltage mode                               */
#define LCD_SIZE               (8)                                     /* Maximum number can be displayed on the LCD */

#define	PulseWideDetect	P0.3
#define	Mode_Key		P0.4
#define	Output_50Hz		P0.5
#define	Power_On_Key	P0.6
#define	Battery_Voltage	P15.0
#define	BackLight_Con	P13.0
#define	Power4v_Con		P14.0
#define	Power4v_CE		P14.1

#define ZeroPointValue	0x0000
#define FullPointValue	0xFFFF


typedef union bit_def{
		unsigned char byte;
		struct	{
		unsigned	char	b0:1;
		unsigned	char	b1:1;
		unsigned	char	b2:1;
		unsigned	char	b3:1;
		unsigned	char	b4:1;
		unsigned	char	b5:1;
		unsigned	char	b6:1;
		unsigned	char	b7:1;
		}bi;
};


#endif
